<?

/*
    This file is part of br_IPSLibaries for IP-Symcon.

    Foobar is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    br_IPSLibaries is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Foobar.  If not, see <http://www.gnu.org/licenses/>.

 	 Please contact me at br@con8.de and use "br_IPS" anywhere in your email-subject.

*/

// Object handling Routines - copied routines from saschahb @ ip-symcon.de Forum
// released with no restriction in use in his posting! Saschahb, please contact me, if i got it wrong.

define("BR_IPS_OBJH_MAJOR", "1");
define("BR_IPS_OBJH_MINOR", "2");
define("BR_IPS_OBJH_TAG", "difWayOrNot");

// Get Value of Objects Var
function br_objGetVarID($objid, $variable)
{
    $obj = IPS_GetObject($objid);

    foreach ( $obj['ChildrenIDs'] as $item )
    {
       if ( IPS_GetName($item) == $variable )
       {
            return $item;
       }
    }
     Print "br_objGetVarID: Var " .$variable. " not found under " .$objid . " !; ";

    return null;
}


// Get Value of Objects Var
function br_objGetVar($objid, $variable)
{
    $obj = IPS_GetObject($objid);

    foreach ( $obj['ChildrenIDs'] as $item )
    {
       if ( IPS_GetName($item) == $variable )
       {
            return GetValue($item);
       }
    }
     Print "br_objGetVar: Var " .$variable. " not found under " .$objid . " !; ";

    return null;
}

// Set Objects var
function br_objSetVar($objid, $variable, $value)
{
    $obj = IPS_GetObject($objid);

    foreach ( $obj['ChildrenIDs'] as $item )
    {
       if ( IPS_GetName($item) == $variable )
       {
            return SetValue($item, $value);
       }
    }
    Print "br_objSetVar: Var " .$variable. " not found under " .$objid . " !; ";

    return null;
}
// Exists
function br_objVarExists($objid, $variable)
{
    $obj = IPS_GetObject($objid);

    foreach ( $obj['ChildrenIDs'] as $item )
    {
       if ( IPS_GetName($item) == $variable )
       {
            return true;
       }
    }
    return false;
}

function br_objParent($item)
{
    $obj = IPS_GetObject($item);
    return $obj['ParentID'];
}

function GetUpdateTime($id){
  $v = IPS_GetVariable($id);
  $Update= (int) $v['VariableUpdated'];
  return ($Update);
}

?>